Subject: Re: bug#21123: emacsclient silently eats keys on startup

From: Marcin Borkowski <[email-masked]>
Date: Sat, 30 Apr 2016 14:02:19 +0200

On 2015-07-24, at 09:17, William G Hatch <[email-masked]> wrote:

> On Fri, Jul 24, 2015 at 09:08:17AM +0200, Andreas Schwab wrote:
>>William Hatch <[email-masked]> writes:
>>
>>> When emacsclient is launched with -t (terminal mode), there is a short time
>>> when I press keys and they have no effect.
>>
>>How short is that time?  I couldn't reproduce it when trying this:
>>
>>$ sleep 5; emacsclient -t
>>
>>and then starting to type ahead.
>
> Interestingly I can't reproduce it that way either... so maybe it has to be at
> the exact time emacs is starting up.  On a new machine locally I have to be
> pretty quick to reproduce it, but it's still something I'll occasionally accidentally
> do, but it happens more often over ssh.  It seems to happen during the time that
> emacsclient still shows the scratch buffer but before it opens up the file I tell
> it to open.  But the keys don't go to the scratch buffer either, so I'm not sure
> what's going on.
>
> It's hard to get to work with an empty init file -- it happens more when
> there are mode hooks or something that run when emacsclient opens a file.

Hi,

just asking: does this persist?  If yes, can you give a recipe for
reproducing it, possibly starting with emacs -Q?

Best,

-- 
Marcin